complexType "ccapp:BatchSimParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 15 attributes, 5 elements
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 9 attributes
Used: | at 1 location

XML Representation Summary
<...
| aggregation | = | xsd:boolean : "true"
| batchSize | = | xsd:duration
| cpuTimeLimit | = | xsd:duration
| currentPeriod | = | xsd:int : "0"
| enableChrono | = | xsd:boolean : "true"
| estimateContactTypeAgentGroup | = | xsd:boolean : "false"
| initNonEmpty | = | xsd:boolean : "true"
| keepObs | = | xsd:boolean : "false"
| maxBatches | = | xsd:int
| maxInitBlocked | = | xsd:int : "1000"
| minBatches | = | xsd:int
| normalizeToDefaultUnit | = | xsd:boolean : "false"
| restrictToPrintedStat | = | xsd:boolean : "false"
| targetInitOccupancy | = | xsd:double : "0.9"
| warmupBatches | = | xsd:int : "0"
| >
Content: | callTrace?, report?, randomStreams?, sequentialSampling*, controlVariable*
</...>

Content Elements (5):

  callTrace (type ccapp:CallTraceParams), controlVariable (type ccapp:ControlVariableParams), randomStreams (type ccapp:RandomStreamsParams), | report (type ccapp:ReportParams), sequentialSampling (type ccapp:SequentialSamplingParams)

All Direct / Indirect Based Elements (1):

  ccapp:batchSimParams

Known Usage Locations

- As direct type of elements (1):
  ccapp:batchSimParams

Annotation
Gives the parameters for a call center simulation using batch means to evaluate steady-state performance measures.
Type Definition Detail

Type Derivation Tree ccapp:SimParams ccapp:BatchSimParams (extension)

XML Source (w/o annotations (10); see schema source)

<xsd:complexType name="BatchSimParams"> <xsd:complexContent> <xsd:extension base="ccapp:SimParams"> <xsd:attribute name="minBatches" type="ssj:positiveInt" use="required"> </xsd:attribute> <xsd:attribute name="maxBatches" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute default="0" name="warmupBatches" type="ssj:nonNegativeInt"> </xsd:attribute> <xsd:attribute default="true" name="aggregation" type="xsd:boolean"> </xsd:attribute> <xsd:attribute name="batchSize" type="ssj:nonNegativeDuration" use="required"> </xsd:attribute> <xsd:attribute default="0" name="currentPeriod" type="ssj:nonNegativeInt"> </xsd:attribute> <xsd:attribute default="true" name="initNonEmpty" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="0.9" name="targetInitOccupancy" type="ssj:double01i"> </xsd:attribute> <xsd:attribute default="1000" name="maxInitBlocked" type="ssj:nonNegativeInt"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
aggregation

  Indicates that the system will use batch aggregation for statistical collecting. When using this feature, the total number of real batches will always be a multiple of the minimal number of batches. At the end of the simulation or when an error check is performed, the real batches are regrouped to form exactly `minBatches` effective batches. This allows to dynamically increase the batch size without changing the number of effective batches. When this is set to `false,` each collected observation corresponds to one batch, and the number of batches is random. This parameter has no impact if sequential sampling is disabled (the default).

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="aggregation" type="xsd:boolean"> </xsd:attribute>

batchSize

  Determines the duration of a batch.

  Type: | ssj:nonNegativeDuration
  Use: | required
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="batchSize" type="ssj:nonNegativeDuration" use="required"> </xsd:attribute>

currentPeriod

  Determines the index of the main period that will be simulated in stationary way. This integer parameter ranging from 0 to the number of main periods minus one defaults to 0, representing the first main period.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="currentPeriod" type="ssj:nonNegativeInt"> </xsd:attribute>

initNonEmpty

  Indicates that the system will be initialized with N * `targetInitOccupancy` busy agents, and all waiting queues empty, where N is the total number of agents. This heuristic is used in addition to the warmup period in order to reduce the bias induced by the transient initial state of the system on steady-state estimators.

  The warmup period will fill the waiting queues and hopefully allow the system to leave the transient state faster. The value of this parameter does not affect the length of the warmup period. If this parameter is `false,` the system will be empty at the beginning of the warmup period.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="initNonEmpty" type="xsd:boolean"> </xsd:attribute>

maxBatches

  Determines the maximal number of batches to avoid excessive simulation length and memory usage when using sequential sampling or keeping observations.

  Type: | ssj:positiveInt
  Use: | optional
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="maxBatches" type="ssj:positiveInt"> </xsd:attribute>

maxInitBlocked

  Determines the maximum number of successive contacts that can be blocked when performing the system initialization. Depending on the routing policy, some contacts might be blocked if no agent with the appropriate skill is available. A badly designed policy might even never send contacts to some agents, which could prevent the heuristic to reach the target initial occupancy. This threshold is therefore used to avoid an infinite loop in the system initialization, when an insufficient number of agents can become busy. This integer parameter arbitrarily defaults to 1000 and has no effect if the system is initialized empty, i.e., if `initNonEmpty` is `false.`

  Type: | ssj:nonNegativeInt
  Use: | optional
  Default: | "1000"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1000" name="maxInitBlocked" type="ssj:nonNegativeInt"> </xsd:attribute>

minBatches

  Determines the minimal number of batches used to collect statistical observations. When sequential sampling is not used, this corresponds to the number of simulated batches (excluding the warmup). Otherwise, this corresponds to the minimal number of simulated batches (excluding warmup) before the first error check is performed. If batch aggregation is turned on by setting the `aggregation` attribute to `true,` this also corresponds to the target number of effective batches and observations in statistical collectors. With batch aggregation, the number of collected observations will be less than this minimum only when the system appears to be unstable during the first batches.

  Type: | ssj:positiveInt
  Use: | required
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="minBatches" type="ssj:positiveInt" use="required"> </xsd:attribute>

targetInitOccupancy

  Determines the target initial occupancy ratio of the agents. This represents the fraction of the agents that should be busy at the beginning of the warmup if the system is initialized non-empty. If the attribute `initNonEmpty` is set to `false,` the system starts empty, and this parameter has no effect.

  Type: | ssj:double01i
  Use: | optional
  Default: | "0.9"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0.9" name="targetInitOccupancy" type="ssj:double01i"> </xsd:attribute>

warmupBatches

  Determines the number of warmup batches to simulate before collecting statistical observations. These batches are performed in addition to the minimal number of batches.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccapp:BatchSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="warmupBatches" type="ssj:nonNegativeInt"> </xsd:attribute>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com